Fork me on GitHub
03 Mar 2010 Comments

Win7下不能安装Oracle11g解决办法

昨晚下载了Oracle11,今天在WIN7下安装遇到了问题,说操作系统部支持,具体日志信息:

正在检查操作系统要求...
要求的结果: 5.0,5.1,5.2,6.0 之一
实际结果: 6.1
检查完成。此次检查的总体结果为: 失败 <<<<
问题: Oracle Database 11g 未在当前操作系统中经过认证。
建议案: 确保在正确的平台上安装软件。
========================================================

正在检查 Service Pack 要求...
检查完成。此次检查的总体结果为: 未执行 <<<<
OUI-18001: 不支持操作系统 'Windows Vista 版本 6.1'。
建议案: 请安装建议的 Service Pack。
========================================================

解决办法其实很简单,只要在XML文件中添加WIN7就可以了,因为Vista是6.0版本,WIN7实在Vista内核的基础上升级的,所以解决起来还是比较容易的,如下:

修改 .\database\stage\prereq\db\refhost.xml

添加如下域:


  

原创文章,转载请注明:转载自:Win7下不能安装Oracle11g解决办法
无觅相关文章插件,快速提升流量